<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: rotationMatrix.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('rotation_matrix_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">rotationMatrix.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="rotation_matrix_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &lt;cmath&gt;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="rotation_matrix_8hh.html">rotationMatrix.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">    5</a></span>&#160;<a class="code" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix::RotationMatrix</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angle) {</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;    <span class="keywordtype">double</span> degree = angle * <a class="code" href="_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a> / 180;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 0) = cos(degree);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 1) = -sin(degree);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 2) = 0;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 0) = sin(degree);</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 1) = cos(degree);</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 2) = 0;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 0) = 0;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 1) = 0;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 2) = 1;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;}</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="class_rotation_matrix.html#a055c158bb29cdb01f7160cda15dd5fbf">   19</a></span>&#160;<a class="code" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix::RotationMatrix</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angle, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;frames) {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordtype">double</span> degree = ((angle * <a class="code" href="_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a>) / 180) / frames;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 0) = 1;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 1) = 0;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(0, 2) = 0;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 0) = 0;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 1) = cos(degree);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(1, 2) = -sin(degree);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 0) = 0;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 1) = sin(degree);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>(2, 2) = cos(degree);</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">   33</a></span>&#160;<a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">RotationMatrix::operator*</a>(<span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> &amp;vector)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="class_vector.html">Vector3D</a> result;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    result = <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a> * vector;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_rotation_matrix_html_a219ed4eb9e048a1b20b0ac9989907228"><div class="ttname"><a href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix::RotationMatrix</a></div><div class="ttdeci">RotationMatrix(const double &amp;angle)</div><div class="ttdoc">Constructor for RotationMatrix class.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8cpp_source.html#l00005">rotationMatrix.cpp:5</a></div></div>
<div class="ttc" id="aclass_rotation_matrix_html_a117715aa3a66d96a6090a308c94f3b9f"><div class="ttname"><a href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">RotationMatrix::operator*</a></div><div class="ttdeci">Vector3D operator*(const Vector3D &amp;vector) const</div><div class="ttdoc">Matrix multiplication by a vector.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8cpp_source.html#l00033">rotationMatrix.cpp:33</a></div></div>
<div class="ttc" id="arotation_matrix_8hh_html"><div class="ttname"><a href="rotation_matrix_8hh.html">rotationMatrix.hh</a></div></div>
<div class="ttc" id="aclass_rotation_matrix_html_ae458309f776bc461c658027acd17d009"><div class="ttname"><a href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">RotationMatrix::rotationMatrix_</a></div><div class="ttdeci">Matrix&lt; double, 3 &gt; rotationMatrix_</div><div class="ttdoc">Variable containing the rotation matrix.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8hh_source.html#l00013">rotationMatrix.hh:13</a></div></div>
<div class="ttc" id="a_matrix_8hh_html_a952eac791b596a61bba0a133a3bb439f"><div class="ttname"><a href="_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a></div><div class="ttdeci">const double PI</div><div class="ttdef"><b>Definition:</b> <a href="_matrix_8hh_source.html#l00008">Matrix.hh:8</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="rotation_matrix_8cpp.html">rotationMatrix.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
